Subject: Re: bug#65459: completing-read INITIAL-VALUE unaware of COLLECTION and REQUIRE-MATCH

From: Heime <[email-masked]>
Date: Sun, 27 Aug 2023 06:45:21 +0000

Sent with Proton Mail secure email.

------- Original Message -------
On Sunday, August 27th, 2023 at 2:27 AM, Stefan Monnier <[email-masked]> wrote:

> > > I guess we really should work on a replacement for `completing-read`, eh?
> > > Why should we replace it? Can't we just add another function, alongside
> > > completing-read-default and completing-read-multiple, using the short POC
> > > code I sent as a starting point?
> 
> 
> That's what I meant by "replacement" (I'd expect new code to use that new
> function instead of the other, so one "replaces" the other). Stefan

Additionally, let's have minibuffer prefilling as part of the design without
any discouragement or encouragement regarding its use.  I like it, others 
don't like it.